Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-publish.post-historical-envelope-publish-transaction ​

This endpoint submits a batch of existing envelopes to a webhook of your choice. Set the webhook address with the urlToPublishTo request body parameter. This endpoint does not call an existing Connect configuration or create a new Connect listener to monitor new activity. It simply uses an ad hoc configuration to submit existing envelopes. You must include all the configuration data in the request body. The envelope data will always be transmitted in JSON format. XML, Salesforce, and eOriginal configuration types are not supported. Your request should match the following format: { "envelopes": ["4280f274-xxxx-xxxx-xxxx-b218b7eeda08", "8373a938-xxxx-xxxx-xxxx-e992a2abae01"], "config": { "configurationType":"custom", "name": "Test", "urlToPublishTo":"YOUR-WEBHOOK-URL", "allowEnvelopePublish": "true", "enableLog": "true", "requiresAcknowledgement": "true", "IncludeHMAC": "true", "SignMessageWithX509Cert": "true", "deliveryMode": "SIM", "eventData": { "version": "restv2.1", "format": "json", "includedata": ["tabs","payment_tabs","custom_fields","powerform","recipients","folders","extensions","attachments", "prefill_tabs", "documents"] } } } If the request succeeds, it returns a 201 (Created) HTTP response code and the response body property processingStatus will be set to processing. You can then view the status of each historical republish request in the Bulk Actions Log.

Submits a batch of historical envelopes for republish to a webhook.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
configjsonNo—The connectCustomConfiguration object describes a Connect configuration for your account.
envelopeslistNo—An array of envelope IDs as comma-separated strings. This property is required. For example: ["4280f274-xxxx-xxxx-xxxx-b218b7eeda08","9586h293-xxxx-xxxx-xxxx-m923b8opre71","2347w948-xxxx-xxxx-xxxx-t096b8krno89"]

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
configjsonNo—The connectCustomConfiguration object describes a Connect configuration for your account.
envelopeslistNo—An array of envelope IDs as comma-separated strings. This property is required. For example: ["4280f274-xxxx-xxxx-xxxx-b218b7eeda08","9586h293-xxxx-xxxx-xxxx-m923b8opre71","2347w948-xxxx-xxxx-xxxx-t096b8krno89"]
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/connect/envelopes/publish/historical
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/connect/envelopes/publish/historical
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-publish.post-historical-envelope-publish-transaction",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}